<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>MethodEventHandler (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MethodEventHandler (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.Priority.html" title="enum in com.sk89q.worldedit.util.eventbus"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/util/eventbus/Subscribe.html" title="annotation in com.sk89q.worldedit.util.eventbus"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/util/eventbus/MethodEventHandler.html" target="_top">Frames</a></li>
<li><a href="MethodEventHandler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.com.sk89q.worldedit.util.eventbus.EventHandler">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.util.eventbus</div>
<h2 title="Class MethodEventHandler" class="title">Class MethodEventHandler</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.html" title="class in com.sk89q.worldedit.util.eventbus">com.sk89q.worldedit.util.eventbus.EventHandler</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.util.eventbus.MethodEventHandler</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.lang.Comparable&lt;<a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.html" title="class in com.sk89q.worldedit.util.eventbus">EventHandler</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">MethodEventHandler</span>
extends <a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.html" title="class in com.sk89q.worldedit.util.eventbus">EventHandler</a></pre>
<div class="block">Invokes a <code>Method</code> to dispatch an event.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.com.sk89q.worldedit.util.eventbus.EventHandler">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;com.sk89q.worldedit.util.eventbus.<a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.html" title="class in com.sk89q.worldedit.util.eventbus">EventHandler</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.Priority.html" title="enum in com.sk89q.worldedit.util.eventbus">EventHandler.Priority</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/eventbus/MethodEventHandler.html#MethodEventHandler-com.sk89q.worldedit.util.eventbus.EventHandler.Priority-java.lang.Object-java.lang.reflect.Method-">MethodEventHandler</a></span>(<a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.Priority.html" title="enum in com.sk89q.worldedit.util.eventbus">EventHandler.Priority</a>&nbsp;priority,
                  java.lang.Object&nbsp;object,
                  java.lang.reflect.Method&nbsp;method)</code>
<div class="block">Create a new event handler.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/eventbus/MethodEventHandler.html#dispatch-java.lang.Object-">dispatch</a></span>(java.lang.Object&nbsp;event)</code>
<div class="block">Dispatch the event.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/eventbus/MethodEventHandler.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.reflect.Method</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/eventbus/MethodEventHandler.html#getMethod--">getMethod</a></span>()</code>
<div class="block">Get the method.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/eventbus/MethodEventHandler.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.util.eventbus.EventHandler">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.util.eventbus.<a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.html" title="class in com.sk89q.worldedit.util.eventbus">EventHandler</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.html#compareTo-com.sk89q.worldedit.util.eventbus.EventHandler-">compareTo</a>, <a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.html#getPriority--">getPriority</a>, <a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.html#handleEvent-java.lang.Object-">handleEvent</a>, <a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.html#toString--">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MethodEventHandler-com.sk89q.worldedit.util.eventbus.EventHandler.Priority-java.lang.Object-java.lang.reflect.Method-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MethodEventHandler</h4>
<pre>public&nbsp;MethodEventHandler(<a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.Priority.html" title="enum in com.sk89q.worldedit.util.eventbus">EventHandler.Priority</a>&nbsp;priority,
                          java.lang.Object&nbsp;object,
                          java.lang.reflect.Method&nbsp;method)</pre>
<div class="block">Create a new event handler.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>priority</code> - the priority</dd>
<dd><code>method</code> - the method</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMethod--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMethod</h4>
<pre>public&nbsp;java.lang.reflect.Method&nbsp;getMethod()</pre>
<div class="block">Get the method.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the method</dd>
</dl>
</li>
</ul>
<a name="dispatch-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dispatch</h4>
<pre>public&nbsp;void&nbsp;dispatch(java.lang.Object&nbsp;event)
              throws java.lang.Exception</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.html#dispatch-java.lang.Object-">EventHandler</a></code></span></div>
<div class="block">Dispatch the event.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.html#dispatch-java.lang.Object-">dispatch</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.html" title="class in com.sk89q.worldedit.util.eventbus">EventHandler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>event</code> - the event object</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - an exception that may be thrown</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.html#equals-java.lang.Object-">equals</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.html" title="class in com.sk89q.worldedit.util.eventbus">EventHandler</a></code></dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.html#hashCode--">hashCode</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.html" title="class in com.sk89q.worldedit.util.eventbus">EventHandler</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/util/eventbus/EventHandler.Priority.html" title="enum in com.sk89q.worldedit.util.eventbus"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/util/eventbus/Subscribe.html" title="annotation in com.sk89q.worldedit.util.eventbus"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/util/eventbus/MethodEventHandler.html" target="_top">Frames</a></li>
<li><a href="MethodEventHandler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.com.sk89q.worldedit.util.eventbus.EventHandler">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
